import { HemaPrice, HemaData } from '../types';
import { Symbol } from 'ns-types';
/**
 * @class
 * @classdesc {@link https://hesonogoma.com/stocks/ |hesonogoma接口}
 */
export declare class Hesonogoma {
    /**
     * 株価一覧表
     */
    Price: typeof HemaPrice;
    /**
     * 投資指標データ
     */
    Data: typeof HemaData;
    /**
    * 获取接口数据
    */
    private getFindInfo(url);
    /**
     * 株価一覧表を取得する
     */
    getFindPriceInfo(type: HemaPrice): Promise<any>;
    /**
     *投資指標データを取得する
     */
    getFindDataInfo(type: HemaData): Promise<any>;
    /**
     *TSEの全株を取得する
     */
    getTseStocks(): Promise<Symbol[]>;
}
