import { SymbolInfo } from 'ns-types';
export declare enum Timeframe {
    M5 = "5m",
    M15 = "15m",
    M30 = "30m",
    H1 = "1h",
    H4 = "4h",
}
/**
 * @class
 * @classdesc {@link http://k-db.com/stocks/ |Kdb接口}
 */
export declare class Kdb {
    /**
    * 获取历史数据
    */
    getHistory(symbol: string, timeframe?: Timeframe): Promise<any>;
    /**
     * 获取商品信息(描述信息)
     */
    getSymbolInfo(symbol: string): Promise<SymbolInfo>;
}
