"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const BaseQuandl = require('quandl');
class Quandl {
    constructor(config) {
        this.quandl = new BaseQuandl(config);
    }
    dataset(param) {
        return new Promise((resolve, reject) => {
            return this.quandl.dataset({
                source: 'TSE',
                table: param.symbol
            }, {
                start_date: param.from,
                end_date: param.to
            }, (err, response) => {
                return err ? reject(err) : resolve(JSON.parse(response));
            });
        });
    }
    metadata(symbol) {
        return new Promise((resolve, reject) => {
            return this.quandl.dataset({
                source: 'TSE',
                table: symbol
            }, (err, response) => {
                return err ? reject(err) : resolve(JSON.parse(response));
            });
        });
    }
}
exports.Quandl = Quandl;
