import { Kdb, Hesonogoma, GoogleFinance } from './api';
import { Market, Symbol, Bar, ProBar } from 'ns-types';
import { ISequelizeConfig } from 'sequelize-typescript';
/**
 * 财经数据实现类
 */
export declare class DataProvider {
    config: ISequelizeConfig;
    constructor(config?: {
        [Attr: string]: any;
    });
    init(): Promise<void>;
    close(): Promise<void>;
    /**
    * 获取市场数据
    */
    getMarkets(): Promise<Market[]>;
    /**
    * 获取股票列表
    */
    getSymbolList(): Promise<Symbol[]>;
    /**
     * 获取最近半小时的5分钟K线数据
     */
    getLast5minBar(symbol: string): Promise<Bar[]>;
    get5minBar(opt: {
        symbol: string;
        date: string;
    }): Promise<Bar[]>;
    getStochastic(bars: Bar[]): ProBar[];
}
export { Kdb, Hesonogoma, GoogleFinance };
