/**
 * 市场映射列表
 */
export declare const MarketMap: {
    code: string;
    name: string;
}[];
/**
 * 株価一覧表
 */
export declare enum HemaPrice {
    /**
     * 日本株全銘柄
     */
    All = "All",
    /**
     * 日経225 構成銘柄
     */
    Nikkei225 = "Nikkei225",
    /**
     * 東証一部
     */
    FirstSection = "FirstSection",
    /**
     * 東証二部
     */
    SecondSection = "SecondSection",
    /**
     * 東証マザーズ
     */
    Mothers = "Mothers",
    /**
     * JASDAQ
     */
    Jasdaq = "Jasdaq",
    /**
     * 地方市場
     */
    Local = "Local",
    /**
     * 東証 ETF・ETN
     */
    ETF = "ETF",
    /**
     * 東証 REIT
     */
    REIT = "REIT",
    /**
     * 東証 ファンド・他
     */
    Fund = "Fund",
}
/**
 * 投資指標データ
 */
export declare enum HemaData {
    /**
     * 日本株全銘柄
     */
    All = "All",
    /**
     * 日経225 構成銘柄
     */
    Nikkei225 = "Nikkei225",
    /**
     * 東証一部
     */
    FirstSection = "FirstSection",
    /**
     * 東証二部
     */
    SecondSection = "SecondSection",
    /**
     * 東証マザーズ
     */
    Mothers = "Mothers",
    /**
     * JASDAQ
     */
    Jasdaq = "Jasdaq",
    /**
     * 地方市場
     */
    Local = "Local",
    /**
     * 決算・財務・業績データ
     */
    Financial = "Financial",
    /**
     * 日証金 融資貸株残高データ
     */
    JsfBalance = "JsfBalance",
    /**
     * 日証金 逆日歩銘柄一覧データ
     */
    JsfPremiums = "JsfPremiums",
    /**
     * 信用取引残高データ
     */
    Margin = "Margin",
    /**
     * 銘柄基本データ（浮動株比率等）
     */
    BaseInfo = "BaseInfo",
}
export declare const HemaType: {
    DataType: {
        [attr: string]: any;
    };
    PriceType: {
        [attr: string]: any;
    };
};
